%define real_name Crypt-GOST

Summary:	Crypt-GOST module for perl 
Name:		perl-%{real_name}
Version:	1.00
Release:	%mkrel 11
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	%{real_name}-%{version}.tar.bz2
Patch0:		Crypt-GOST-1.00-fix-build.patch
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GOST 28147-89 is a 64-bit symmetric block cipher with a 256-bit key developed
in the former Soviet Union. Some information on it is available at
http://vipul.net/gost/.
This module implements GOST encryption. It supports the Crypt::CBC interface.

%prep
%setup -q -n %{real_name}-%{version}
%patch0 -p1 -b .fix-build

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/*/Crypt/GOST.pm
%{perl_vendorlib}/*/auto/Crypt/GOST
%{_mandir}/*/*






%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.00-11.mga4
+ Revision: 531603
- Mageia 4 Mass Rebuild

* Tue Aug 06 2013 sander85 <sander85> 1.00-10.mga4
+ Revision: 464247
- Fix build

  + jquelin <jquelin>
    - perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.00-9.mga3
+ Revision: 364858
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.00-8.mga3
+ Revision: 250394
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.00-7.mga2
+ Revision: 103813
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 1.00-6.mga1
+ Revision: 10381
- imported package perl-Crypt-GOST


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.00-6mdv2011.0
+ Revision: 555713
- rebuild

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.00-5mdv2010.0
+ Revision: 430358
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.00-4mdv2009.0
+ Revision: 256265
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.00-2mdv2008.1
+ Revision: 152033
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.00-1mdv2008.1
+ Revision: 136699
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1.00-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.00-1mdk
- initial Mandriva package

